#
# spec file for package iio-sensor-proxy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iio-sensor-proxy
Version:        1.1
Release:        1.1
Summary:        Proxy for IIO and input subsystems
License:        GPL-3.0
Url:            https://github.com/hadess/iio-sensor-proxy
Source:         http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gudev-1.0)  >= 230
BuildRequires:  pkgconfig(systemd) >= 219
BuildRequires:  pkgconfig(udev) >= 219
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
This proxy reads sensor data from the IIO subsystem and serves to the input subsystem

%prep
%setup -q

%build
%configure --disable-silent-rules
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
install -d %{buildroot}%{_sbindir}
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%pre
%service_add_pre iio-sensor-proxy.service

%post
%udev_hwdb_update
%udev_rules_update
%service_add_post iio-sensor-proxy.service

%preun
%service_del_preun iio-sensor-proxy.service

%postun
%service_del_postun iio-sensor-proxy.service
%udev_hwdb_update
%udev_rules_update

%files
%defattr(-,root,root)
%{_bindir}/monitor-sensor
%{_sbindir}/iio-sensor-proxy
%{_sbindir}/rc%{name}
%{_udevrulesdir}/*.rules
%{_unitdir}/iio-sensor-proxy.service
# Own dirs to avoid depending on dbus while building.
%dir %{_sysconfdir}/dbus-1
%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf

%changelog
* Wed Jan 20 2016 badshah400@gmail.com
- Drop rpmlintrc file; this was needed because iiio-sensor-proxy
  installs a dbus service that was so far unauthorized, but this
  has now been cleared by the Security team (bnc#939191).
* Tue Jul 28 2015 zaitor@opensuse.org
- Update to version 1.1:
  + Add support for Compasses (only accessible to GeoClue).
  + Fix service not starting in a number of cases.
  + Fix excessive CPU usage monitoring light sensors on Macs.
  + Support light sensors on some Samsung laptops.
  + Fix incorrect sensor readings on some devices due to unit
    scaling.
* Sat Jun 27 2015 zaitor@opensuse.org
- Add missing rcsymlink.
* Sat May 23 2015 crrodriguez@opensuse.org
- Update to version 1.0, this replaces udev "accelerometer"
  tool and udev rules.
* Sat Sep 27 2014 stefan.bruens@rwth-aachen.de
- initial package version
